cascading.flow.planner.rule

## Interface Rule

All Known Implementing Classes:
  ApplyAssertionLevelTransformer, ApplyDebugLevelTransformer, BlockingHashJoinAnnotator, BufferAfterEveryAssert, EveryAfterBufferAssert, ExpressionRulePartitioner, HashJoinBlockingHashJoinAnnotator, LogicalMergeAnnotator, LoneGroupAssert, MissingGroupAssert, NoOpPipeMultiGraphTransformer, RemoveNoOpPipeTransformer, RuleAnnotationTransformer, RuleAssert, RuleContractedTransformer, RuleInsertionTransformer, RulePartitioner, RuleRemoveBranchTransformer, RuleReplaceFactoryBasedTransformer, RuleReplaceTransformer, RuleTransformer, SplitBeforeEveryAssert, UniquePathRulePartitioner, WholeGraphNodePartitioner, WholeGraphRulePartitioner, WholeGraphStepPartitioner

    public interface Rule

Rule instances are the unit of work applied by a `RuleExec` instance and managed by a `RuleRegistry`.

### Method Summary

Methods
`java.lang.String` `getRuleName()`
`PlanPhase` `getRulePhase()`

### Method Detail

#### getRulePhase

    PlanPhase getRulePhase()

#### getRuleName

    java.lang.String getRuleName()